<?php

use App\Models\Device;
use App\Models\LocationTransaction;
use App\Models\OwnerTransaction;
use App\Models\PurchasingInformation;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::get('/export', function () {

    return response()->json([
        'Devices' => Device::all(),
        'PurchasingInformations' => PurchasingInformation::all(),
        'OwnerTransactions' => OwnerTransaction::all(),
        'LocationTransactions' => LocationTransaction::all()
    ]);
});

Route::post('/import', function (Request $request) {
    $data = $request->json()->all();     
    $devices = $data['Devices'];
    foreach ($devices as $device) {
        Device::create([
            'device_id' => $device->device_id,
        ]);
    }
    $purchasingInformations = $data['PurchasingInformations'];
    $ownerTransactions = $data['OwnerTransactions'];
    $locationTransactions = $data['LocationTransactions'];
});

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});
